// ##########################################################################
// ####                                                                  ####
// ####      WarpEd - A portable text editor for OS/2 Warp and Linux     ####
// ####    ===========================================================   ####
// ####                                                                  ####
// #### const.h                                                          ####
// ####                                                                  ####
// #### Version 0.80  --  October 06, 2000                               ####
// ####                                                                  ####
// #### Copyright (C) 1996  Thomas Dreibholz                             ####
// ####               1997  Molbachweg 7                                 ####
// ####                     51674 Wiehl/Germany                          ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                                                                  ####
// ##########################################################################

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef CONST_H
#define CONST_H


#include "system.h"
#include "terminal.h"
#include "edit.h"
#include "row.h"
#include "lines.h"

#define cRows 51200
#define cCols 512
            
#define cMaxCommandLength    100
#define cConfigLineLength    200
#define cUpdateStatus        (1 << 0)
#define cUpdateTimeAndCursor (1 << 7)
#define cFindForward         1
#define cFindBackward        -1

struct WarpEd
{
   Editor               Ed;
   OutputTerminalClass  Terminal;  
   
   int            FastScrollX;
   int            FastScrollY;
   int            OverwriteBlocks;   
   int            AutoIndent;
   int            AutoCursorJump;
   int            AutoBackup;
   
   char          *OldInfoText;
   char           TmpName[80];
   char           FileName[100];
   char           FindText[256];
   char           ReplaceText[256];
   char           Buffer[4][1024];
};

/* ===================================================================== */

extern int   gWarpEdLogoHeight;
extern char *gWarpEdLogo[];    
extern char *gWarpEdStatus[16];
extern char *gWarpEdConfigName;


#endif
