// ##########################################################################
// ####                                                                  ####
// ####      WarpEd - A portable text editor for OS/2 Warp and Linux     ####
// ####    ===========================================================   ####
// ####                                                                  ####
// #### lines.h                                                          ####
// ####                                                                  ####
// #### Version 0.80  --  October 06, 2000                               ####
// ####                                                                  ####
// #### Copyright (C) 1996  Thomas Dreibholz                             ####
// ####               1997  Molbachweg 7                                 ####
// ####                     51674 Wiehl/Germany                          ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                                                                  ####
// ##########################################################################

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef LINES_H
#define LINES_H

#include <bool.h>


// LineManager-Klasse
class LineManager
{
   public: 
   LineManager();
   void init(int mr, int mc);
   ~LineManager();
   inline bool Good() const;
   inline bool Bad()  const;

   void   SetLine(int number, char* text);
   void   GetLine(int number, char* text); 
   int    GetLineLength(int number);

   int    InsertLine(int number);
   void   DeleteLine(int number);
   void   DeleteAll();

   inline int Count() const;

   private:
   int    count;
   int    maxRows;
   int    maxCols;
   bool   isGood;
   char **row;
};
#endif
